MAN(1)

NAZWA
man - an interface to the system reference manuals

SKŁADNIA
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [opcje whatis] strona ...
man -l [man options] file ...
man -w|-W [man options] page ...

OPIS
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections.

Poniższa tabela pokazuje numery sekcji wraz z opisem odpowiadających im typów stron, które zawierają.

1 | Programy wykonywalne lub polecenia powłoki
2 | Wywołania systemowe (funkcje dostarczane przez jądro systemu)
3 | Wywołania biblioteczne (funkcje w bibliotekach programów)
4 | Pliki specjalne (które zazwyczaj można znaleźć w /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Gry
7 | Miscellaneous (including macro packages and conventions), e.g. man(7), groff(7), man-pages(7)
8 | Polecenia do administracji systemem (zazwyczaj tylko dla administratora)
9 | Wywołania jądra [Niestandardowa]

Strona podręcznika składa się z kilku sekcji.

Conventional section names include NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, STANDARDS, NOTES, BUGS, EXAMPLE, AUTHORS, and SEE ALSO.

Poniższe konwencje mają zastosowanie do sekcji SKŁADNIA, ale mogą być traktowane jako przewodnik po innych sekcjach.

tekst pogrubiony | wprowadź dokładnie tak, jak pokazano.
kursywa | zastąp odpowiednim argumentem.
[-abc] | wszystkie argumenty w [ ] są opcjonalne.
-a|-b | opcji rozdzielonych znakiem | nie można łączyć.
argument ... | argument można powtarzać.
[wyrażenie] ... | całe wyrażenie w [ ] można powtarzać.

Sposób, w jaki będzie wyświetlona strona podręcznika, zależy od urządzenia wyjściowego. Na przykład man zazwyczaj nie będzie mógł wyświetlić czcionki kursywej, jeśli jest uruchomiony na terminalu, więc zamiast niej użyje podkreśleń lub zmieni kolor czcionki.

Przykłady użycia polecenia lub funkcji powinny zawierać wszystkie możliwe wywołania. W pewnych przypadkach doradza się obrazować wykluczające się wywołania w taki sposób, jak to zrobiono w sekcji SKŁADNIA tej strony podręcznika ekranowego.

PRZYKŁADY

man ls
    Wyświetla stronę podręcznika ekranowego dla danej pozycji (programu) ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a intro
    Wyświetla kolejno wszystkie dostępne strony podręcznika intro. Można przerwać wyświetlanie pomiędzy kolejnymi stronami lub pominąć którąkolwiek z nich.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Szuka słowa kluczowego printf jako wyrażenia regularnego w krótkich opisach i nazwach stron podręcznika. Wyświetla wszystkie dopasowania. Odpowiednik apropos printf.

man -f smail
    Wyszukuje strony podręcznika opisane przez smail i wyświetla krótki opis każdej ze znalezionych stron. Odpowiednik whatis smail.

WPROWADZENIE
man udostępnia wiele opcji, aby dostosować się do wymagań użytkownika najlepiej, jak to jest tylko możliwe. Pozwala zmienić ścieżkę wyszukiwania, kolejność sekcji, program do przetwarzania stron i inne zachowania oraz operacje, jak to opisano poniżej

If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid.

Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored.

This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format:

<język>[_<terytorium>[.<zestaw_znaków>[,<wersja>]]]

Jeżeli odpowiednia strona jest dostępna w Twoich ustawieniach_językowych, to będzie wyświetlona zamiast wersji standardowej (czyli zazwyczaj amerykańskiej).

If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity.

Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question.

Informacje o innych zaletach pakietu i rozszerzeniach w nim dostępnych znajdują się w dokumentacji do niego dołączanej.

ZACHOWANIA DOMYŚLNE
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/manpath.config. By default it is as follows:

    1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7

The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details).

Filtry są rozszyfrowywane na wiele sposób. Najpierw brana jest pod uwagę opcja linii poleceń -p lub wartość zmiennej środowiskowej $MANROFFSEQ. Jeżeli nie podano -p, ani nie ustawiono zmiennej środowiska, to przetwarzana jest początkowa linia źródłowej strony nroff w poszukiwaniu poprawnego oznaczenia preprocesora. Aby poprawne oznaczenie preprocesora mogło zostać znalezione, pierwsza linia musi składać się z

'\" <łańcuch_znaków>

gdzie łańcuch_znaków może być dowolną kombinacją liter opisanych poniżej w opcji -p.

Jeżeli żadna z powyższych metod nie dostarczy żadnych informacji o filtrowaniu, to będzie użyty zbiór domyślny.

Z filtrów i podstawowego programu formatującego (nroff lub [tg]roff z -t)tworzony jest potok formatujący, który następnie jest wykonywany. Alternatywnie, jeżeli w korzeniu drzewa hierarchii man znajduje się program wykonywalny mandb_nfmt (lub mandb_tfmt, gdy -t), to jest on wykonywany zamiast potoku. Dostaje on na wejście źródło strony podręcznika, łańcuch znaków preprocesora i opcjonalnie nazwę urządzenia podaną w argumentach opcji -T lub -E.

OPCJE
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Opcje ogólne

-C plik, --config-file=plik
    Use this user configuration file rather than the default of ~/.manpath.

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-D, --default
    Ta opcja powinna być zazwyczaj podana jako pierwsza, gdyż przywraca domyślne zachowanie programu man. Jej zastosowaniem jest wyłączenie tych opcji ustawionych w $MANOPT. Wszystkie opcje następujące po -D będą miały swoje normalne znaczenie.

--warnings[=ostrzeżenia]
    Enable warnings from groff. This may be used to perform sanity checks on the source text of manual pages. warnings is a comma-separated list of warning names; if it is not supplied, the default is "mac". To disable a groff warning, prefix it with "!": for example, --warnings=mac,!break enables warnings in the "mac" category and disables warnings in the "break" category. See the “Warnings” node in info groff for a list of available warning names.

  Główne tryby działania

-f, --whatis
    Approximately equivalent to whatis. Display a short description from the manual page, if available. See whatis(1) for details.

-k, --apropos
    Approximately equivalent to apropos. Search the short manual page descriptions for keywords and display any matches. See apropos(1) for details.

-K, --global-apropos
    Szuka tekstu we wszystkich stronach podręcznika ekranowego. Jest to przeszukiwanie siłowe (brute-force), więc czasochłonne. Jeśli jest to możliwe, prosimy o podanie numeru sekcji, aby zmniejszyć liczbę przeszukiwanych stron podręcznika. Klucze wyszukiwania mogą być zwykłymi łańcuchami znaków (domyślnie) lub wyrażeniami regularnymi (jeśli podano opcję --regex).

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files, or false negatives due to things like hyphens being written as "\-" in source files. Searching the rendered text would be much slower.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin.

    If this option is not used, then man will also fall back to interpreting manual page arguments as local file names if the argument contains a "/" character, since that is a good indication that the argument refers to a path on the file system.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    Ta opcja nie jest przeznaczona dla ogółu i powinna być używana tylko przez program catman.

-R kodowanie_znaków, --recode=kodowanie_znaków
    Zamiast w normalny sposób wyświetlić stronę podręcznika, wypisze źródło strony przekształcone na podane kodowanie_znaków. Jeśli znane jest kodowanie znaków pliku źródłowego, to można użyć bezpośrednio polecenia manconv(1). Jednakże, opcja ta pozwala przekształcić kilka stron podręcznika do jednego kodowania, bez dokładnego podawania kodowania źródeł każdej z nich, pod warunkiem że strony te są umieszczone w strukturze katalogów podobnej do hierarchii stron podręcznika.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Wyszukiwanie stron podręcznika ekranowego

-L ustawienia_językowe, --locale=ustawienia_językowe
    man zazwyczaj określa bieżące ustawienia językowa przez wywołanie systemowej funkcji C setlocale(3), która określa je na podstawie różnych zmiennych środowiska, takich jak $LC_MESSAGES i $LANG. Aby tymczasowo nadpisać wartości ustalone przez tę funkcję, można użyć tej opcji do bezpośredniego przekazania ustawień_językowych do programu man. Uwaga: będzie to miało wpływ tylko na wyszukiwanie stron podręcznika, komunikaty takie jak informacje o pomocy, zawsze będą wyświetlane w języku określonym na początku działania.

-m system[,...], --systems=system[,...]
    If this system has access to other operating systems' manual pages, they can be accessed using this option. To search for a manual page from NewOS's manual page collection, use the option -m NewOS.

    Podany system może być kombinacją oddzielonych przecinkami nazw systemów operacyjnych. Aby włączyć hierarchię stron podręcznika macierzystego systemu operacyjnego, trzeba użyć man jako nazwy systemu w łańcuchu argumentów. Niniejsza opcja nadpisuje ewentualne użycie zmiennej środowiska $SYSTEM.

-M ścieżka, --manpath=ścieżka
    Podaje alternatywną ścieżkę manpath. Domyślnie w celu znalezienia ścieżki przeszukiwań man używa kodu programu manpath. Opcja ta nadpisuje wartość zmiennej środowiskowej $MANPATH i powoduje, że opcja -m jest ignorowana.

    Ścieżka podana jako ścieżka manpath musi być korzeniem hierarchii stron podręcznika, której struktura odpowiada strukturze sekcji opisanej w podręczniku man-db (w dokumencie "System stron podręcznika ekranowego", ang. "The manual page system"). Aby zobaczyć strony podręcznika poza tą hierarchią, patrz opcja -l.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e pod-rozszerzenie, --extension=pod-rozszerzenie
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Ignoruje wielkość liter podczas wyszukiwania stron podręcznika. Jest to zachowanie domyślne.

-I, --match-case
    Wyszukuje strony podręcznika zwracając uwagę na wielkość liter.

--regex
    Wyświetla wszystkie strony, których jakakolwiek część nazwy lub opisu pasuje - jako wyrażenie regularne - do każdego podanego argumentu strona, tak jak to robi apropos(1). Ponieważ podczas wyszukiwania za pomocą wyrażeń regularnych zazwyczaj nie ma rozsądnego sposobu wydobycia"najlepszej" strony, opcja ta włącza -a.

--wildcard
    Wyświetla wszystkie strony, których jakakolwiek część nazwy lub opisu pasuje - jako wyrażenie zawierające znaki dopasowania w stylu powłoki - do każdego podanego argumentu strona, tak jak to robi apropos(1) --wildcard. Argument strona musi pasować albo do całej nazwy lub całego opisu, albo do poszczególnych słów opisu. Ponieważ podczas wyszukiwania zazwyczaj nie ma rozsądnego sposobu wydobycia"najlepszej" strony, opcja ta włącza -a.

--names-only
    Jeżeli użyto opcji --regex lub --wildcard, dopasowywane będą tylko nazwy stron, bez opisów stron, tak jak to robi whatis(1). W przeciwnym razie opcja ta nic nie robi.

-a, --all
    Domyślnie man zakończy działanie po wyświetleniu najbardziej odpowiedniej strony podręcznika, jaką znajdzie. Użycie tej opcji spowoduje, że man pokaże wszystkie dostępne strony podręcznika, których nazwy odpowiadają kryteriom wyszukiwania.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    Domyślnie, man próbuje interpretować pary nazw stron podręcznika podane w linii poleceń jako odpowiedniki nazw pojedynczych stron podręcznika zawierających znaki myślnika lub podkreślenia. Wspiera to zwyczajowy wzorzec programów implementujących podprogramy, pozwalając im na dostarczanie stron podręcznika dla każdego podprogramu przy użyciu składni podobnej do tej, która by była użyta do uruchomienia tego podprogramu. Przykład:

      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz

    Aby wyłączyć to zachowanie, proszę użyć opcji --no-subpages.

      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Kontrolowanie sformatowanego wyjścia

-P pager, --pager=pager
    Specify which output pager to use. By default, man uses pager, falling back to cat if pager is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k.

    Wartością może być nazwa zwykłego polecenia lub polecenie z argumentami. W wartości można używać znaków cytowania powłoki (odwrotne ukośniki, pojedyncze lub podwójne cudzysłowy), jednakże nie można łączyć wielu poleceń w potoki; jeśli jest to potrzebne należy użyć skryptu otaczającego potok. Skrypt ten powinien móc przyjmować plik do wyświetlenia albo jako argument linii poleceń, albo odczytać go ze standardowego wejścia.

-r linia_zachęty, --prompt=linia_zachęty
    Jeżeli jako przeglądarka tekstu jest używana w miarę nowa wersja programu less, to man spróbuje ustawić jej łańcuch zachęty oraz parę sensownych opcji. Domyślny łańcuch zachęty wygląda tak

    Strona podręcznika nazwa(sek) linia x

    gdzie nazwa oznacza nazwę strony podręcznika, sek oznacza sekcję, w której znaleziono tę stronę, a x jest numerem bieżącego wiersza. Osiąga się to przez użycie zmiennej środowiska $LESS.

    Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as

    \ Strona\ podręcznika\ \$MAN_PN\ ?ltlinia\ %lt?L/%L.:
    bajt\ %bB?s/%s..?\ (KONIEC):?pB\ %pB\\%..
    (naciśnij h, aby otrzymać pomoc, lub q, aby zakończyć)

    Podział na trzy linie zastosowano tylko dla zwiększenia czytelności. Znaczenie można znaleźć w podręczniku less(1). Linia zachęty jest najpierw rozwijana przez powłokę. Wszystkie podwójne cudzysłowy, odwrotne apostrofy i odwrotne ukośniki w linii zachęty muszą być poprzedzone znakiem odwrotnego ukośnika. Linia zachęty może kończyć się poprzedzonym przez odwrotny ukośnik znakiem $, po którym mogą następować kolejne opcje przekazywane do programu less. Domyślnie man ustawia opcje -ix8.

    Opisanej poniżej zmiennej środowiskowej $MANLESS można użyć do ustawienia domyślnego łańcucha zachęty, jeżeli nie podano go w parametrach linii poleceń.

-7, --ascii
    Podczas przeglądanie strony podręcznika zawierającej tylko czyste znaki ascii(7) w 7-bitowym terminalu lub emulatorze terminala, niektóre znaki mogą nie być wyświetlone poprawnie, jeżeli z programem używane jest urządzenie latin1(7) programu GNU nroff. Ta opcja pozwala, aby strony zawierające tylko znaki ascii były wyświetlane w trybie ascii z urządzeniem latin1. Opcja ta nie zmieni kodowania żadnego tekstu latin1. Poniższa tabela pokazuje przeprowadzane zmiany kodowań: niektóre z nich mogą być wyświetlone poprawnie, tylko gdy używa się urządzenia latin1(7) GNU nroffa.

    Opis | Ósemkowy | latin1 | ascii
    łącznik | 255 |  | -
    kula (kropka w środku) | 267 | • | o
    akcent ostry | 264 | ´ | '
    znak dzielenia | 327 | × | x

    Jeżeli kolumna latin1 wyświetla się poprawnie, Twój terminal może być już ustawiony na znaki latin1, więc podanie tej opcji nie jest potrzebne. Jeśli kolumny latin1 i ascii są identyczne, to czytasz tę stronę używając omawianej opcji lub man nie sformatował tej strony za pomocą urządzenia latin1. Jeśli brakuje kolumny latin1 lub jest ona uszkodzona, to najprawdopodobniej trzeba używać omawianej opcji podczas przeglądania stron podręcznika ekranowego.

    Ta opcja jest ignorowana, jeżeli podano również -t, -H, -T albo -Z i może być całkowicie nieprzydatna podczas używania wersji nroffa innej niż GNU.

-E kodowanie_znaków, --encoding=kodowanie_znaków
    Generuje wyjście w innym niż domyślne kodowaniu znaków. W celu zachowania wstecznej kompatybilności kodowanie_znaków może być urządzeniem nroff, takim jak ascii, latin1 lub utf8 jak również prawdziwym kodowaniem znaków, takim jak UTF-8.

--no-hyphenation, --nh
    Zazwyczaj nroff automatycznie dzieli wyrazy przy przenoszeniu, jeśli jest to konieczne, aby wyrównać linię, tak żeby nie zawierała za dużo spacji, i robi to nawet wtedy, gdy wyrazy te nie zawierają znaków łącznika. Ta opcja wyłącza automatyczne dzielenie wyrazów, tak że słowa będą dzielone tylko, gdy zawierają łączniki.

    Jeśli piszesz stronę podręcznika ekranowego, to aby powstrzymać nroff przed przenoszeniem wyrazów do nowej linii w nieodpowiednim miejscu, należy zapoznać się z dokumentacją programu nroff, zamiast używać tej opcji; na przykład można w słowie umieścić sekwencję "\%" wskazującą miejsce, w którym słowo może być podzielone przy przenoszeniu, albo umieścić "\%" na początku słowa, co zabroni jego dzielenia.

--no-justification, --nj
    Zazwyczaj nroff automatycznie wyrówna tekst w linii do obu marginesów. Opcja ta wyłącza takie wyrównywanie, zostawiając wyrównywanie tylko do lewego marginesu, co powoduje, że tekst z prawej strony jest "postrzępiony".

    Podczas pisania strony podręcznika ekranowego, nie należy używać tej opcji do powstrzymywania nroffa od wyrównywania linii w akapicie do obu marginesów. Zamiast tego proszę zapoznać się z dokumentacją programu nroff. Na przykład można użyć żądań ".na", ".nf", ".fi", and ".ad", aby tymczasowo wyłączyć wyrównywanie linii i wypełnianie spacjami.

-p łańcuch_znaków, --preprocessor=łańcuch_znaków
    Określa sekwencję preprocesorów do uruchomienia przez uruchomieniem programu nroff lub troff/groff. Nie w każdym systemie będzie zainstalowany pełen zbiór preprocesorów. Niektóre preprocesory i litery je oznaczające to: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Ta opcja nadpisuje zmienną środowiska $MANROFFSEQ. zsoelim jest zawsze uruchamiany jako pierwszy preprocesor.

-t, --troff
    Używa programu groff -mandoc, aby sformatować stronę podręcznika na standardowe wyjście. Opcja nie jest wymagana w połączeniu z -H, -T lub -Z.

-T[urządzenie], --troff-device[=urządzenie]
    This option is used to change groff (or possibly troff's) output to be suitable for a device other than the default. It implies -t. Examples (as of groff 1.23.0) include dvi, latin1, pdf, ps, utf8, X75 and X100.

-H[przeglądarka], --html[=przeglądarka]
    Opcja ta spowoduje, że groff utworzy wyjście w formacie HTML i je wyświetli w przeglądarce stron www. Wybór przeglądarki dokonywany jest przy pomocy opcjonalnego argumentu przeglądarka. Jeśli go nie podano, to brana jest pod uwagę wartość zmiennej środowiska $BROWSER, a następnie domyślna przeglądarka ustawiona podczas kompilowania pakietu (zazwyczaj lynx). Opcja ta włącza również -t i będzie działać tylko z wersją GNU troffa.

-X[dpi], --gxditview[=dpi]
    Opcja ta wyświetla wyjście groffa w okienku graficznym za pomocą programu gxditview Argumentem dpi (dots per inch) może być 75, 75-12, 100 lub 100-12, domyślnie jest 75; warianty -12 używają 12-punktowej czcionki jako bazowej. Opcja włącza -T z urządzeniem X75, X75-12, X100 lub X100-12.

-Z, --ditroff
    groff uruchomi program troff i użyje odpowiedniego postprocesora do utworzenia wyjścia odpowiedniego dla wybranego urządzenia. Gdy groff -mandoc jest groffem, to ta opcja jest przekazywana do groffa i wstrzyma użycie postprocesora. Automatycznie włącza opcję -t.

  Otrzymywanie pomocy

-?, --help
    Wyświetla komunikat pomocy i kończy pracę.

--usage
    Wyświetla krótki opis użycia programu i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

KOD ZAKOŃCZENIA

0   Program zakończony bez żadnych błędów.

1   Błąd użycia, składni lub pliku konfiguracyjnego.

2   Błąd działania.

3   Proces potomny zwrócił niezerowy kod zakończenia.

16  Co najmniej jedna z stron/plików/słów kluczowych nie istnieje lub nie zostało dopasowane.

ŚRODOWISKO

MANPATH
    Jeżeli ustawiona jest $MANPATH, to jej wartość jest używana jako ścieżka przeszukiwań hierarchii stron man.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line.

    For example, MANROFFOPT=-P-i tells the formatter to use italic text (which is only supported by some terminals) rather than underlined text.

MANROFFSEQ
    Jeżeli ustawiono $MANROFFSEQ, to jej wartość jest używana do określenia zbioru preprocesorów przez które jest przepuszczana strona podręcznika. Domyślna lista preprocesorów zależy od systemu.

MANSECT
    Jeżeli ustawiona jest $MANSECT, to jej wartość jest listą oddzielonych dwukropkami sekcji i służy do określania, które sekcje podręcznika man i w jakiej kolejności będą przeszukiwane. Domyślną wartością jest "1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7", chyba że zostanie to nadpisane w polu SECTION pliku /etc/manpath.config.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, pager is used, falling back to cat if pager is not found or is not executable.

    Wartością może być nazwa zwykłego polecenia lub polecenie z argumentami. W wartości można używać znaków cytowania powłoki (odwrotne ukośniki, pojedyncze lub podwójne cudzysłowy), jednakże nie można łączyć wielu poleceń w potoki; jeśli jest to potrzebne należy użyć skryptu otaczającego potok. Skrypt ten powinien móc przyjmować plik do wyświetlenia albo jako argument linii poleceń, albo odczytać go ze standardowego wejścia.

MANLESS
    Jeśli $MANLESS jest ustawiona, to jej wartość zostanie użyta jako domyślna linia zachęty programu less, dokładnie tak jakby przekazano ją w opcji -r (i każde wystąpienie tekstu $MAN_PN zostanie rozwinięte w taki sam sposób). Na przykład aby bezwarunkowo ustawić linię zachęty na “moja linia zachęty”, należy ustawić $MANLESS na ‘-Psmoja linia zachęty’. Użycie opcji -r nadpisuje tę zmienną środowiska.

BROWSER
    Jeżeli jest ustawiona zmienna $BROWSER, to jej wartością jest rozdzielona dwukropkami lista poleceń, które man będzie - w kolejności - próbował uruchomić, aby wyświetlić wyjście man --html w przeglądarce www. W każdym poleceniu %s jest zastępowane nazwą pliku zawierającego wyjście HTML programu groff, %% jest zastępowane znakiem procentu (%), a %c - dwukropkiem (:).

SYSTEM
    Jeżeli ustawiona jest zmienna $SYSTEM, to ma to taki sam skutek, jak przekazanie jej wartości jako argumentu opcji -m.

MANOPT
    Jeżeli ustawiono $MANOPT, to wartość tej zmiennej, która powinna być w formacie podobnym do formatu linii opcji poleceń programu man, będzie przetwarzana przed opcjami linii poleceń. Ponieważ wszystkie pozostałe zmienne środowiska specyficzne dla programu man mogą być wyrażone jako opcje linii poleceń i jako takie mogą być podane w zmiennej $MANOPT, należy oczekiwać, że zostaną one uznane za przestarzałe. Uwaga: wszystkie spacje, które mają być zinterpretowane jako część argumentu opcji, muszą zostać poprzedzone znakiem odwrotnego ukośnika.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Zazwyczaj, jeżeli wyjście nie jest przekazywane do terminala (tylko np. do pliku lub potoku), to kontrolne znaki formatujące są usuwane, aby ułatwić czytanie pliku wynikowego bez użycia żadnych dodatkowych narzędzi. Jednakże jeżeli MAN_KEEP_FORMATTING ma niepustą wartość, znaki te są zachowywane. Może być to użyteczne dla programów, które wewnętrznie wywołują man i potrafią zinterpretować znaki kontrolne.

MAN_KEEP_STDERR
    Zazwyczaj, jeśli wyjście jest skierowane na terminal (zazwyczaj do programu do stronicowania), to ignorowane są wszystkie komunikaty błędów generowane przez programy używane to sformatowania strony podręcznika, tak aby nie zakłócić wyjścia programu do stronicowania. Programy, takie jak groff często tworzą komunikaty o relatywnie mało istotnych błędach typograficznych (dotyczących na przykład złego wyrównania) - wyświetlanie ich razem ze stroną podręcznika byłoby szpecące i mylące. Jednakżę niektórzy użytkownicy chcieliby zobaczyć te błędy, więc jeżeli ustawi się zmienną $MAN_KEEP_STDERR na dowolną niepustą wartość, to wyjście błędów będzie normalnie wyświetlane.

MAN_DISABLE_SECCOMP
    On Linux, man normally confines subprocesses that handle untrusted data using a seccomp(2) sandbox. This makes it safer to run complex parsing code over arbitrary manual pages. If this goes wrong for some reason unrelated to the content of the page being displayed, you can set $MAN_DISABLE_SECCOMP to any non-empty value to disable the sandbox.

PIPELINE_DEBUG
    If the $PIPELINE_DEBUG environment variable is set to "1", then man will print debugging messages to standard error describing each subprocess it runs.

LANG, LC_MESSAGES
    W zależności od systemu i implementacji bieżące ustawienia językowe będą pobierane z jednej lub obu spośród zmiennych $LANG i $LC_MESSAGES. man wyświetli swoje komunikaty w tym języku (jeśli są dostępne). Szczegóły można znaleźć w setlocale(3).

PLIKI

/etc/manpath.config
    Plik konfiguracyjny man-db.

/usr/share/man
    Globalna hierarchia stron podręcznika ekranowego.

STANDARDS
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

ZOBACZ TAKŻE
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

HISTORIA
1990, 1991 – Program napisany przez Johna W. Eatona (jwe@che.utexas.edu).

23 grudnia 1992: Rik Faith (faith@cs.unc.edu) zaaplikował poprawki błędów nadesłane przez Willema Kasdorpa (wkasdo@nikhefk.nikef.nl).

30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people.

30 października 1996 – 30 marca 2001: Fabrizio Polacco <fpolacco@debian.org>rozwijał i udoskonalał ten pakiet dla projektu Debiana z pomocą całej społeczności.

31 marca 2001 – obecnie: Colin Watson <cjwatson@debian.org> rozwija man-db i nim zarządza.

BŁĘDY
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.